/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2012 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.java.net
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
package it.tidalwave.hierarchy.spi.simple;

import it.tidalwave.hierarchy.spi.simple.SimpleHViewManager;
import it.tidalwave.netbeans.util.test.MockLookup;
import it.tidalwave.hierarchy.HViewManager;
import it.tidalwave.hierarchy.HViewTestSupport;
import it.tidalwave.hierarchy.MockIdFactoryDelegate;
import org.junit.Before;
import org.junit.BeforeClass;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class SimpleHViewTest extends HViewTestSupport
  {
    @BeforeClass
    public static void setupIdFactory()
      {
        MockLookup.setInstances(new MockIdFactoryDelegate());
      }

    @Before
    public void setUp() 
      {
        final HViewManager hvManager = new SimpleHViewManager();
        fixture = hvManager.createView().withDisplayName("View 1").build();
      }
  }